{% extends "NewCampus/profile_usuario.html" %}
{% load admin_static i18n %}

{% block breadcrumbs %}
                <ul class="breadcrumb">
                    <li><a href="/docente/profile2/">Home</a> <span class="divider">/</span></li>
                    <li class="active">{% trans 'Boleta de Notas' %}</li>
                </ul>
{% endblock %}

{% block content-main %}
<div class="row-fluid">
    <div class="well well2">
        <h3>{% trans 'Cursos a llevar' %}: <span style="font-size:85%;color:#c41104">{{ periodo.Anio }} - {{ periodo.Semestre }}</span></h3>
        <form action="" method="get" class="form-horizontal well">
            {% csrf_token %}
            <select name="ciclo" id="ciclo" style="width: 300px;">
                <option value="">-----Selecciona un ciclo -----</option>
                {% for ciclo in ciclos %}
                    <option value="{{ ciclo.Periodo.id }}">{{ ciclo.Periodo.Anio }} -  {{ ciclo.Periodo.Semestre }}</option>
                {% endfor %}
            </select>
            <input type="submit" value="Cargar">
        </form>
        {% if matriculado %}
        <table class="table table-striped table-bordered">
            <thead>
            <tr>
            <th>{% trans 'Nº' %}</th>
            <th>{% trans 'Código' %}</th>
            <th>{% trans 'Curso' %}</th>
            <th>{% trans 'Creditos' %}</th>
            <th>{% trans 'Docente' %}</th>
            {% if activado %}
                <TH>Promedio</TH>
                <TH>Estado</TH>
            {% endif %}
            </tr>
            </thead>
            <tbody>
            {% for curso in cursos %}
            <tr>
                <TD>{{ forloop.counter|escape }}</TD>
                <TD>{{ curso.PeriodoCurso.Curso.Codigo|escape }}</TD>
                <TD>{{ curso.PeriodoCurso.Curso.Nombre|escape }}</TD>
                <TD style="text-align: center">{{ curso.PeriodoCurso.Curso.Creditos|escape }}</TD>
                <TD>{{ curso.PeriodoCurso.Docente|escape }}</TD>
                {% if activado %}
                    <TD>{{ curso.Promedio|escape }}</TD>
                    <TD>{% if curso.aprobado %}
                            <span class="label label-success"><i class="icon-ok icon-white"></i> Aprobado</span>
                        {% else %}
                             <span class="label label-important"><i class="icon-ok icon-white"></i> Desaprobado</span>
                        {% endif %}
                    </TD>
                {% endif %}
            </tr>
            {% endfor %}
            </tbody>
        </table>
        {% else %}
            <div class="alert alert-success">
                <i class="icon-eye-open"></i> {% trans "No se encuentra matriculado en este semestre" %} {{ periodo }}
            </div>
        {% endif %}
    

        {% if activado or matriculado %}
            <div class="span12">
                <div class="row">
                    <div class="span4 well" style="text-align:center;"><h4>{% trans 'Créditos Aprobados' %}</h4><h2>{{ creditos_aprobados|escape }}</h2></div>
                    <div class="span4 well" style="text-align:center;"><h4>{% trans 'Créditos Desaprobados' %}</h4><h2>{{ creditos_desaprobados|escape }}</h2></div>
                    <div class="span4 well" style="text-align:center;"><h4>{% trans 'Total de créditos' %}</h4><h2>{{ creditos|escape }}</h2></div>
                </div>
                <div class="row">
                    <div class="span4 well" style="text-align:center;"><h4>{% trans 'Cursos Aprobados' %}</h4><h2>{{ cursos_aprobados|escape }}</h2></div>
                    <div class="span4 well" style="text-align:center;"><h4>{% trans 'Cursos Desaprobados' %}</h4><h2>{{ cursos_desaprobados|escape }}</h2></div>
                    <div class="span4 well" style="text-align:center;"><h4>{% trans 'Promedio Ponderado' %}</h4><h2>{{ ponderado|escape }}</h2></div>
                </div>
            </div>
        {% else %}
            <div class="alert alert-success">
                <i class="icon-eye-open"></i> {% trans "No puede visualizar sus notas debido a que tiene deudas pendientes" %}
            </div>
        {% endif %}
    </div>
</div>
{% endblock %}
